diff --git a/ShellScripts/rsync-incremental-backups.sh b/ShellScripts/rsync-incremental-backups.sh
new file mode 100644
index 0000000..1d67bf4
--- /dev/null
+++ b/ShellScripts/rsync-incremental-backups.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+# Script for performing incremental backups using rsync.
+
+# Set the script to exit if any command returns a non-zero status.
+set -o errexit
+# Set the script to treat unset variables as errors.
+set -o nounset
+# Set the script to exit if a pipeline returns a non-zero status.
+set -o pipefail
+
+# Define the source directory you want to back up.
+readonly SOURCE_DIR=""
+
+# Define the directory where the backups will be stored.
+readonly BACKUP_DIR="